CHOWN(1)

NUME
chown - schimbă proprietarul și grupul unui fișier sau al unui dosar

SINOPSIS
chown [OPȚIUNE]... [PROPRIETAR][:[GRUP]] FIȘIER...
chown [OPȚIUNE]... --reference=FIȘIER_REF FIȘIER...

DESCRIERE
Această pagină de manual documentează versiunea GNU a chown. chown modifică proprietatea utilizatorului și/sau a grupului de utilizatori pentru fiecare fișier dat. Dacă este indicat doar un proprietar (un nume de utilizator sau un ID numeric de utilizator), acel utilizator devine proprietarul fiecărui fișier dat, iar grupul fișierelor nu este modificat. În cazul în care proprietarul este urmat de două puncte și de un nume de grup (sau de un ID numeric de grup), fără spații între ele, se modifică și proprietatea de grup a fișierelor. Dacă numele utilizatorului este urmat de două puncte, dar nu de un nume de grup, utilizatorul respectiv devine proprietarul fișierelor, iar grupul fișierelor este schimbat în grupul de conectare al utilizatorului respectiv. Dacă se dau două puncte și grupul, dar proprietarul este omis, se modifică numai grupul fișierelor; în acest caz, chown îndeplinește aceeași funcție ca chgrp. Dacă se dau doar două puncte sau dacă întregul operand este gol, nu se modifică nici proprietarul, nici grupul.

OPȚIUNI

Schimbă proprietarul și/sau grupul fiecărui FIȘIER în PROPRIETAR și/sau GRUP. Cu --reference, schimbă proprietarul și grupul fiecărui FIȘIER cu cel al FIȘIER_REF.

-c, --changes
    precum --verbose, dar raportează numai atunci când se face o modificare

-f, --silent, --quiet
    suprimă majoritatea mesajelor de eroare

-v, --verbose
    descrie în amănunt acțiunile sau non-acțiunile luate pentru fiecare fișier sau dosar procesat

--dereference
    afectează referentul fiecărei legături simbolice (aceasta este valoarea implicită), mai degrabă decât legătura simbolică în sine

-h, --no-dereference
    afectează legăturile simbolice în locul oricărui fișier la care se face referire (util numai pe sistemele care pot schimba dreptul de proprietate asupra unei legături simbolice)

--from=PROPRIETARUL_ACTUAL:GRUPUL_ACTUAL
    modifică proprietatea fiecărui fișier numai dacă proprietarul și/sau grupul actual corespund celor specificate aici. Oricare dintre acestea poate fi omis, caz în care nu este necesară o potrivire pentru atributul omis.

--no-preserve-root
    nu tratează „/” deosebit (valoarea implicită)

--preserve-root
    eșuează la operarea recursivă pe „/”

--reference=FIȘIER_REF
    utilizează proprietarul din FIȘIER_REF în loc de valorile specificate; FIȘIER_REF este întotdeauna dereferențiat dacă este o legătură simbolică.

-R, --recursive
    operează asupra fișierelor și directoarelor în mod recursiv

Următoarele opțiuni modifică modul de parcurgere a unei ierarhii atunci când este specificată de asemenea opțiunea -R. Dacă sunt specificate mai multe opțiuni, numai cea finală are efect. „-P” este opțiunea implicită.

-H  dacă un argument din linia de comandă este o legătură simbolică la un dosar, o urmărește

-L  urmărește fiecare legătură simbolică la un dosar, ce este întâlnită

-P  nu urmărește nicio legătură simbolică

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Proprietarul nu se schimbă dacă este omis. Grupul nu se schimbă dacă este omis, dar se schimbă în grupul de autentificare dacă este indicat implicit cu „:” după un „PROPRIETAR” simbolic. PROPRIETAR și GRUP pot fi atât numerice, cât și simbolice.

EXEMPLE

chown root /u
    Schimbă proprietarul lui /u la „root”.

chown root:staff /u
    Asemenea, dar schimbă și grupul la „staff”.

chown -hR root /u
    Schimbă proprietarul lui /u și al subdosarelor la „root”.

AUTOR
Scris de David MacKenzie și Jim Meyering.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2024 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
chown(2)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/chown>
sau local rulând comanda: «info '(coreutils) chown invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Laurențiu Buzdugan <lbuz@rolix.org> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.